variable "billing_mode" {
  type = string
}
variable "table_name" {
  type = string
}
variable "read_capacity" {
  type = number
}
variable "min_read_capacity" {
  type = number
}
variable "max_read_capacity" {
  type = number
}
variable "read_capacity_utilization_target" {
  type = number
}
variable "write_capacity" {
  type = number
}
variable "min_write_capacity" {
  type = number
}
variable "max_write_capacity" {
  type = number
}
variable "write_capacity_utilization_target" {
  type = number
}
variable "hash_key" {
  type = string
}
variable "range_key" {
  type    = string
  default = null
}
variable "stream_enabled" {
  type    = bool
  default = false
}
variable "stream_view_type" {
  type    = string
  default = null
}
variable "point_in_time_recovery_enabled" {
  type    = bool
  default = false
}
variable "string_attributes" {
  type    = list(string)
  default = []
}
variable "number_attributes" {
  type    = list(string)
  default = []
}
variable "binary_attributes" {
  type    = list(string)
  default = []
}
variable "global_secondary_index" {
  type    = any
  default = []
}

variable "autoscaling_indexes" {
  description = "A map of index autoscaling configurations"
  type        = map(map(string))
  default     = {}
}

variable "ttl_attribute_name" {
  type    = string
  default = ""
}

variable "tags" {
  type        = map(string)
  description = "Tags for DynamoDB"
}

variable "iam_policy_prefix" {
  type = string
}

variable "enable_sse" {
  type    = bool
  default = true
}

variable "enable_iam_policies" {
  type    = bool
  default = true
}